### Method

# St IconColors copy

#### Declaration [src]

    StIconColors*
    st_icon_colors_copy (
      StIconColors* colors
    )

#### Description [src]

Creates a new StIconColors structure that is a copy of the passed in `colors`. You would use this function instead of `st_icon_colors_ref()` if you were planning to change colors in the result.

#### Return value

Type: `StIconColors`

A newly created `StIconColors`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.